Ayuda con la instalación Plank

Dudas al crear un paquete? cualquier problema que tengas con makepkg comentalo aca!
Responder
Zonirvak
Novato
Mensajes: 5
Registrado: 03 Feb 2013, 17:41

Ayuda con la instalación Plank

Mensaje por Zonirvak » 05 Feb 2013, 02:01

Cada vez que quiero instal plank con el comando $ yaourt -S plank-bzr me aparece el siguiente mensaje

Código: Seleccionar todo

[[email protected] bin]$ yaourt -S plank-bzr 

==> Descargando PKGBUILD desde AUR... 
x PKGBUILD 
x plank-bzr.install 
Comment by Ner0  (2012-08-27 13:53) 
Yeah, it's already reported 

https://bugs.launchpad.net/plank/+bug/1034755 

Comment by Narga  (2012-08-28 01:10) 
You can make old theme working with new version by manual copy-pasting the content of old theme file to new theme file in ~/.config/plank/theme and look about the difference between [PlankDrawingTheme] and [PlankDrawingThemeRenderer], [PlankDrawingDockTheme] and [PlankDrawingDockThemeRenderer], ... otherwise an overwrite would be triggered upon saving.


Don't copy and replace old theme file over new ones 

Comment by teateawhy  (2013-01-08 17:02) 
checking for automake = 1.11... 
testing automake-1.12... not found. 
testing automake-1.11... not found. 
***Error***: You must have automake = 1.11 installed 
to build plank. 

pacman -Q automake 
automake 1.13.1-1 

Comment by beta990  (2013-01-10 12:30) 
@teateawhy: install automake-1.11 from AUR 

Comment by Ner0  (2013-01-10 13:44) 
Just do "export AUTOMAKE=automake" before installing the package. 

plank-bzr 682-1  (jue feb 17 17:24:07 CST 2011) 
(Paquete sin soporte: podría ser peligroso!) 
==> Quiere editar PKGBUILD? [S/n] ("A" para anular) 
==> ----------------------------------------------- 
==> n 

==> dependencias de plank-bzr: 
 - bamf (ya instalado) 
 - glib2 (ya instalado) 
 - gtk3 (ya instalado) 
 - libgee (ya instalado) 
 - libwnck3 (ya instalado) 
 - libx11 (ya instalado) 
 - python2 (ya instalado) 
 - hicolor-icon-theme (ya instalado) 
 - cairo (ya instalado) 
 - pango (ya instalado) 
 - libdbusmenu-gtk3 (ya instalado) 
 - bzr (ya instalado) 
 - dbus-glib (ya instalado) 
 - intltool (ya instalado) 
 - pkg-config (ya instalado) 
 - vala (ya instalado) 
 - gnome-common (ya instalado) 


==> Quiere editar plank-bzr.install? [S/n] ("A" para anular) 
==> -------------------------------------------------------- 
==> n 

==> Continuar compilando plank-bzr? [S/n] 
==> ------------------------------------- 
==>  
==> Compilando e instalando el paquete 
==> Determinando ultima revisión de bzr... 
You have not informed bzr of your Launchpad ID, and you must do this to 
write to Launchpad or access private data.  See "bzr help launchpad-login". 
  -> Versión encontrada: 746 
==> Creando el paquete: plank-bzr 746-1 (lun feb  4 18:02:15 CST 2013) 
==> Resolviendo dependencias... 
==> Verificando conflictos... 
==> Obteniendo fuentes... 
==> Descomprimiendo fuentes... 
==> Iniciando build()... 
==> Connecting to Bazaar server.... 
You have not informed bzr of your Launchpad ID, and you must do this to 
write to Launchpad or access private data.  See "bzr help launchpad-login". 
746 revisiones enramadas                                                                                                     
==> BZR checkout done or server timeout 
==> Starting make... 
/usr/bin/gnome-autogen.sh 
checking for autoconf >= 2.53... 
  testing autoconf2.50... not found. 
  testing autoconf... found 2.69 
checking for automake >= 1.11... 
  testing automake-1.12... not found. 
  testing automake-1.11... Useless use of /d modifier in transliteration operator at /usr/local/share/automake-1.11/Automake/Wrap.pm line 58. 
found 1.11 
checking for libtool >= 1.4.3... 
  testing libtoolize... found 2.4.2 
checking for intltool >= 0.25... 
  testing intltoolize... found 0.50.2 
checking for pkg-config >= 0.14.0... 
  testing pkg-config... found 0.28 
main::scan_file() called too early to check prototype at /usr/local/bin/aclocal-1.11 line 617. 
Checking for required M4 macros... 
  libtool.m4 not found 
  intltool.m4 not found 
  pkg.m4 not found 
***Error***: some autoconf macros required to build plank 
  were not found in your aclocal path, or some forbidden 
  macros were found.  Perhaps you need to adjust your 
  ACLOCAL_FLAGS? 

==> ERROR: Se produjo un error en build(). 
    Cancelando... 
==> ERROR: Makepkg no ha podido compilar plank-bzr. 
==> Reiniciar la compilación de plank-bzr? [s/N] 
==> -------------------------------------------- 
==>  
[[email protected] bin]$  
Tengo los paquetes instalados base-devel

Avatar de Usuario
Spooky
Equipo Hispano
Equipo Hispano
Mensajes: 1774
Registrado: 18 Nov 2010, 23:33
Ubicación: Behind your computer

Re: Ayuda con la instalación Plank

Mensaje por Spooky » 05 Feb 2013, 13:14

@teateawhy: install automake-1.11 from AUR
Instala el paquete que menciona el mensaje.
Just do "export AUTOMAKE=automake" before installing the package.
Si al compilar algun paquete, la consola te indica que hagas algo por favor hazlo.
Este pkgbuild deberia funcionar correctamente:
http://pastebin.com/3rkSXMvA

Antc
Archer Intermedio
Archer Intermedio
Mensajes: 85
Registrado: 19 Abr 2010, 15:28

Re: Ayuda con la instalación Plank

Mensaje por Antc » 05 Feb 2013, 20:18

A mi me suelta un error parecido:

Código: Seleccionar todo

***Error***: You must have automake >= 1.11 installed
  to build plank.  Download the appropriate package for
  from your distribution or get the source tarball at
    http://ftp.gnu.org/pub/gnu/automake/automake-1.11.tar.gz
Y yo tengo instalado automake 1.13.

Zonirvak
Novato
Mensajes: 5
Registrado: 03 Feb 2013, 17:41

Re: Ayuda con la instalación Plank

Mensaje por Zonirvak » 06 Feb 2013, 04:25

Antc escribió:A mi me suelta un error parecido:

Código: Seleccionar todo

***Error***: You must have automake >= 1.11 installed
  to build plank.  Download the appropriate package for
  from your distribution or get the source tarball at
    http://ftp.gnu.org/pub/gnu/automake/automake-1.11.tar.gz
Y yo tengo instalado automake 1.13.
Yo lo compile y me sigue dando el mismo resultado

Responder